package com.fairphone.hiccup;

import android.os.ParcelFileDescriptor;

import java.io.Closeable;
import java.io.FileDescriptor;
import java.io.IOException;

public class LogFile implements Closeable {
  private ParcelFileDescriptor pfd;
  private String fileName;

  public LogFile(String fileName, ParcelFileDescriptor pfd) {
    this.pfd = pfd;
    this.fileName = fileName;
  }

  public FileDescriptor getFileDescriptor() {
    return (pfd != null) ? pfd.getFileDescriptor() : null;
  }

  public String getFileName() {
    return fileName;
  }

  @Override
  public void close() throws IOException {
    pfd.close();
  }
}
